//===============================================================================
// Copyright 2014 Alachisoft.  All rights reserved.
//===============================================================================


using System;

namespace CustomDependency.Business
{
	/// <summary>
	/// Summary description for Product.
	/// </summary>
	[Serializable]
	public class Product
	{
		private int _ProductID;
		private string _ProductName;
		private int _UnitsAvailable;

		/// <summary>
		/// Get/Set the ProductID.
		/// </summary>
		public int ProductID
		{
			get { return _ProductID; }
			set { _ProductID = value; }
		}

		/// <summary>
		/// Get/Set the CompanyName.
		/// </summary>
		public string ProductName
		{
			get { return _ProductName; }
			set { _ProductName = value; }
		}

		/// <summary>
		/// Get/Set the Country.
		/// </summary>
		public int UnitsAvailable
		{
			get { return _UnitsAvailable; }
			set { _UnitsAvailable = value; }
		}
	}
}
